=== po/CMakeLists.txt ===
include(Translations)
add_translations_directory("vala-panel-appmenu")
add_translations_catalog("vala-panel-appmenu"
    ../lib
    ../data/xfce
)
