=== unity-gtk-module/docs/CMakeLists.txt ===
find_package(GtkDoc 1.25)

SET(IGNORE_LIST
	unity-gtk-menu-shell-private.h
	unity-gtk-menu-section-private.h
	unity-gtk-menu-item-private.h
	unity-gtk-action-group-private.h
	unity-gtk-action-private.h)

if (GTKDOC_FOUND)
    gtk_doc_add_module(
       appmenu-gtk-module ${CMAKE_SOURCE_DIR}/unity-gtk-module/docs
          LIBRARIES unity-gtk3-module
          SOURCE ${CMAKE_SOURCE_DIR}/lib
          IGNOREHEADERS ${IGNORE_LIST}
    )
endif()
