=== debian/watch ===
version=4
https://github.com/rilian-la-te/vala-panel-appmenu/releases .*/vala-panel-appmenu-(\d\S+)\.tar\.gz
